Subject: [alpine-aports] [PATCH] testing/s6: new aport

From: John Regan <[email-masked]>
Date: Wed, 25 Feb 2015 14:44:20 -0500

---
 testing/s6/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/s6/APKBUILD

diff --git a/testing/s6/APKBUILD b/testing/s6/APKBUILD
new file mode 100644
index 0000000..d16039a
--- /dev/null
+++ b/testing/s6/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: John Regan <[email-masked]>
+# Maintainer: John Regan <[email-masked]>
+pkgname=s6
+pkgver=2.1.1.2
+pkgrel=0
+pkgdesc="skarnet.org's small & secure supervision software suite."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs execline"
+depends_dev="skalibs-dev execline-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="8a13d65fa19f46a396110d2834461cd7  s6-2.1.1.1.tar.gz"
+sha256sums="857c841cb80935a945347c768981b729f11a6a441140744f58f3e3316b9ef336  s6-2.1.1.1.tar.gz"
+sha512sums="74b4e925ad43fe2510b06d779327b875834080d77890601600045d4a8269ca26e32b0624674b0416442b11bdd7b8e7b64c391f0f7c0ba871eedecd72976fa57a  s6-2.1.1.1.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---